Spring Boot 2.5 For Jackson Kotlin classes support please add “com.fasterxml.jackson.module: jackson-module-kotlin” to the classpath

publikováno: 8.6.2021

Po upgrade na Spring Boot 2.5 se mi začal po spuštění aplikace zobrazovat tento warning, přestože Kotlin v projektu nikde nepoužívám. Proč? Protože Spring Security 5.5 má dependency na kotlin-stdlib-jdk8. Nejčistší řešení se mi zdá tu dependency excludovat:

Reference

Školení mi pomohlo ujasnit si jak má správně probíhat testování kódu, představilo užitečné knihovny a nástroje. Vše bylo podáno zábavnou formou, takže nebyl problém udržet pozornost. Navíc byl výhodou dostatek

Certicon
David

Jedno z nejlepších školení za poslední roky. Kromě seznámení se Springem apod. mě velmi příjemně překvapila hluboká znalost probírané látky a schopnost ji srozumitelně vysvětlit v případě ad hoc dotazů.

Jaroslav

Přestože jsem Cčkař, tak jsem se na školení JUnit dozvěděl nové věci. Zejména co se týče metodiky jednotkového testování a některých odborných termínů.

Retia
Jaromír


Novinky

21.6.2021: Spring Native 0.10.0

18.6.2021: Covid 19 & školení v roce 2021
Do 1.7.2021 jsou všechny školení online. Od 1.7.2021 jsou školení možné jak "klasickým" způsobem, tak online

12.6.2021: Jackson Afterburner -> Blackbird